---
title: ThinkPad X201 install guide
x-toc-enable: true
...

**[PLEASE READ THESE INSTRUCTIONS BEFORE INSTALLING](../../news/safety.md),
OR YOU MIGHT BRICK YOUR MACHINE: [SAFETY PRECAUTIONS](../../news/safety.md)**

Refer to [external flashing instructions](spi.md).

NOTE: You need Intel ME firmware on this, but the Libreboot build system does
not currently auto-download for this board. You must dump a copy of your
original Lenovo firmware, and place it under `vendorfiles/cache/` in the
build system (create this directory if needed); save
it as 'x201_factory.rom'

Disassembly is similar to ThinkPad X200, but the flash is under some tape,
just north east of the CR2032 coin-cell battery on the mainboard, so you have
to peel back the tape. (north east, if you were looking at the screen with
the lid open - it's about 1cm away from the CR2032)

Internal flashing is possible, if you already have coreboot-based firmware such
as Libreboot, and the regions in flash are all read-write (which implies that
you have a neutered Intel ME image, via `me_cleaner`).

Libreboot's build system automatically neuters the ME with `me_cleaner` when
building for this board.

NOTE: [Insert vendorfiles](ivy_has_common.md) is also valid, on release ROMs,
but again `vendorfiles/cache/x201_factory.rom` must be present - Libreboot's
build system will automatically pull `me.bin` from it, during build time.
